path: /build/build/libxkbcommon-x11-libs-1.4.1+1.package.tar.zst
dependencies: []
compilespec:
  steps: []
  env: []
  prelude:
  - |-
    export FEATURES="-sandbox -usersandbox -ipc-sandbox -pid-sandbox -network-sandbox" && \
    export JOBS=3 && \
    eval 'mkdir -p /var/cache/portage/distfiles || true' && \
    chown portage:portage -R /var/cache/portage/ && \
    USE="-doc -prefix -test X wayland" emerge x11-libs/libxkbcommon -pv -t && \
    USE="-doc -prefix -test X wayland" emerge -j ${JOBS} --nodeps x11-libs/libxkbcommon
  - export LUET_PORTAGE_CACHE_PACKAGES="/var/cache/portage/packages" && export LUET_PORTAGE_IGNORE_TAR_WARNING=1
    && export LUET_PORTAGE_PKGMETA=1 && export LUET_PORTAGE_PKGFILES=1 && eval 'rm
    -rf /pkgdir/ || true' && mkdir -p /pkgdir/libxkbcommon && luet-portage --dir /pkgdir/libxkbcommon
    x11-libs/libxkbcommon && eval 'rm -v /var/cache/distfiles/* ${LUET_PORTAGE_CACHE_PACKAGES}/*
    || true'
  image: ""
  seed: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree:21e35465146f4a013be55bc56e83912f3b032da027b91b1d3b4463d933bcd222
  package:
    name: libxkbcommon
    version: 1.4.1+1
    category: x11-libs
    use_flags:
    - -doc
    - -prefix
    - -test
    - X
    - wayland
    requires:
    - name: doxygen
      version: '>=0'
      category: app-doc
    annotations:
      subsets:
        rules:
          devel:
          - ^/usr/include/
          portage:
          - ^/var/db/pkg/
    description: keymap handling library for toolkits and window systems
    uri:
    - https://xkbcommon.org/ https://github.com/xkbcommon/libxkbcommon/
    license: MIT
    buildtimestamp: 2024-04-26 16:49:43.483596595 +0000 UTC m=+3698.044267499
    labels:
      BDEPEND: sys-devel/bison doc? ( app-doc/doxygen ) test? ( || ( dev-lang/python:3.8
        dev-lang/python:3.9 dev-lang/python:3.7 dev-lang/python:3.10 ) ) wayland?
        ( dev-util/wayland-scanner ) >=dev-util/meson-0.48.2 >=dev-util/ninja-1.7.2
        test? ( !prefix? ( x11-base/xorg-server[xvfb] ) x11-apps/xhost )
      DEPEND: X? ( >=x11-libs/libxcb-1.10[xkb] ) wayland? ( >=dev-libs/wayland-1.2.0
        ) dev-libs/libxml2 x11-misc/compose-tables app-doc/doxygen X? ( x11-base/xorg-proto
        ) wayland? ( >=dev-libs/wayland-protocols-1.12 )
      IUSE: doc static-libs test tools wayland X test
      RDEPEND: X? ( >=x11-libs/libxcb-1.10[xkb] ) wayland? ( >=dev-libs/wayland-1.2.0
        ) dev-libs/libxml2 x11-misc/compose-tables app-doc/doxygen
      emerge.packages: x11-libs/libxkbcommon
      kit: core-gl-kit
      original.package.name: x11-libs/libxkbcommon
      original.package.slot: "0"
      original.package.version: 1.4.1
    treedir: /build/packages
  package_dir: /pkgdir/libxkbcommon
  retrieve: []
  unpack: false
  includes: []
  excludes:
  - ^/var/cache/portage/
  - ^/var/git/
  build_options:
    pushimagerepository: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree
    pullimagerepository:
    - luet/cache
    pullfirst: false
    keepimg: false
    push: false
    concurrency: 0
    compressiontype: ""
    wait: false
    onlydeps: false
    nodeps: false
    solveroptions: {}
    buildvaluesfile: []
    buildvalues:
    - arch: amd64
      commons-repo: macaroni-commons-dev
    packagetargetonly: false
    rebuild: false
    backendargs: []
    backendtype: ""
    templatesfolder: []
  copy: []
  requires_final_images: false
checksums:
  sha256: 2ee83d8c9e5a28419bfb406203a08e8f559964e35520fa2d46a61704b5fa8ea9
compressiontype: zstd
files:
- usr/include/xkbcommon/xkbcommon-compat.h
- usr/include/xkbcommon/xkbcommon-compose.h
- usr/include/xkbcommon/xkbcommon-keysyms.h
- usr/include/xkbcommon/xkbcommon-names.h
- usr/include/xkbcommon/xkbcommon-x11.h
- usr/include/xkbcommon/xkbcommon.h
- usr/include/xkbcommon/xkbregistry.h
- usr/lib64/libxkbcommon-x11.so
- usr/lib64/libxkbcommon-x11.so.0
- usr/lib64/libxkbcommon-x11.so.0.0.0
- usr/lib64/libxkbcommon.so
- usr/lib64/libxkbcommon.so.0
- usr/lib64/libxkbcommon.so.0.0.0
- usr/lib64/libxkbregistry.so
- usr/lib64/libxkbregistry.so.0
- usr/lib64/libxkbregistry.so.0.0.0
- usr/lib64/pkgconfig/xkbcommon-x11.pc
- usr/lib64/pkgconfig/xkbcommon.pc
- usr/lib64/pkgconfig/xkbregistry.pc
- usr/share/doc/libxkbcommon-1.4.1/NEWS.bz2
- usr/share/doc/libxkbcommon-1.4.1/README.md.bz2
- var/db/pkg/x11-libs/libxkbcommon-1.4.1/BDEPEND
- var/db/pkg/x11-libs/libxkbcommon-1.4.1/BUILD_TIME
- var/db/pkg/x11-libs/libxkbcommon-1.4.1/CATEGORY
- var/db/pkg/x11-libs/libxkbcommon-1.4.1/CBUILD
- var/db/pkg/x11-libs/libxkbcommon-1.4.1/CFLAGS
- var/db/pkg/x11-libs/libxkbcommon-1.4.1/CHOST
- var/db/pkg/x11-libs/libxkbcommon-1.4.1/CONTENTS
- var/db/pkg/x11-libs/libxkbcommon-1.4.1/COUNTER
- var/db/pkg/x11-libs/libxkbcommon-1.4.1/CXXFLAGS
- var/db/pkg/x11-libs/libxkbcommon-1.4.1/DEFINED_PHASES
- var/db/pkg/x11-libs/libxkbcommon-1.4.1/DEPEND
- var/db/pkg/x11-libs/libxkbcommon-1.4.1/DESCRIPTION
- var/db/pkg/x11-libs/libxkbcommon-1.4.1/EAPI
- var/db/pkg/x11-libs/libxkbcommon-1.4.1/FEATURES
- var/db/pkg/x11-libs/libxkbcommon-1.4.1/HOMEPAGE
- var/db/pkg/x11-libs/libxkbcommon-1.4.1/INHERITED
- var/db/pkg/x11-libs/libxkbcommon-1.4.1/IUSE
- var/db/pkg/x11-libs/libxkbcommon-1.4.1/IUSE_EFFECTIVE
- var/db/pkg/x11-libs/libxkbcommon-1.4.1/KEYWORDS
- var/db/pkg/x11-libs/libxkbcommon-1.4.1/LDFLAGS
- var/db/pkg/x11-libs/libxkbcommon-1.4.1/LICENSE
- var/db/pkg/x11-libs/libxkbcommon-1.4.1/NEEDED
- var/db/pkg/x11-libs/libxkbcommon-1.4.1/PF
- var/db/pkg/x11-libs/libxkbcommon-1.4.1/PROVIDES
- var/db/pkg/x11-libs/libxkbcommon-1.4.1/RDEPEND
- var/db/pkg/x11-libs/libxkbcommon-1.4.1/REQUIRES
- var/db/pkg/x11-libs/libxkbcommon-1.4.1/RESTRICT
- var/db/pkg/x11-libs/libxkbcommon-1.4.1/SIZE
- var/db/pkg/x11-libs/libxkbcommon-1.4.1/SLOT
- var/db/pkg/x11-libs/libxkbcommon-1.4.1/USE
- var/db/pkg/x11-libs/libxkbcommon-1.4.1/environment.bz2
- var/db/pkg/x11-libs/libxkbcommon-1.4.1/libxkbcommon-1.4.1.ebuild
- var/db/pkg/x11-libs/libxkbcommon-1.4.1/repository
package_cacheimage: ""
runtime:
  name: libxkbcommon
  version: 1.4.1+1
  category: x11-libs
  use_flags:
  - -doc
  - -prefix
  - -test
  - X
  - wayland
  requires:
  - name: doxygen
    version: '>=0'
    category: app-doc
  - name: wayland
    version: '>=0'
    category: dev-libs
  - name: libxcb
    version: '>=0'
    category: x11-libs
  - name: compose-tables
    version: '>=0'
    category: x11-misc
  annotations:
    subsets:
      rules:
        devel:
        - ^/usr/include/
        portage:
        - ^/var/db/pkg/
  description: keymap handling library for toolkits and window systems
  uri:
  - https://xkbcommon.org/ https://github.com/xkbcommon/libxkbcommon/
  license: MIT
  labels:
    BDEPEND: sys-devel/bison doc? ( app-doc/doxygen ) test? ( || ( dev-lang/python:3.8
      dev-lang/python:3.9 dev-lang/python:3.7 dev-lang/python:3.10 ) ) wayland? (
      dev-util/wayland-scanner ) >=dev-util/meson-0.48.2 >=dev-util/ninja-1.7.2 test?
      ( !prefix? ( x11-base/xorg-server[xvfb] ) x11-apps/xhost )
    DEPEND: X? ( >=x11-libs/libxcb-1.10[xkb] ) wayland? ( >=dev-libs/wayland-1.2.0
      ) dev-libs/libxml2 x11-misc/compose-tables app-doc/doxygen X? ( x11-base/xorg-proto
      ) wayland? ( >=dev-libs/wayland-protocols-1.12 )
    IUSE: doc static-libs test tools wayland X test
    RDEPEND: X? ( >=x11-libs/libxcb-1.10[xkb] ) wayland? ( >=dev-libs/wayland-1.2.0
      ) dev-libs/libxml2 x11-misc/compose-tables app-doc/doxygen
    emerge.packages: x11-libs/libxkbcommon
    kit: core-gl-kit
    original.package.name: x11-libs/libxkbcommon
    original.package.slot: "0"
    original.package.version: 1.4.1
